PHP Manual
Prev |  | Next

# http_negotiate_language

(PECL)

http_negotiate_language -- Negotiate clients preferred language

## Description

string http_negotiate_language ( [array supported [, array &result]] )

This function negotiates the clients preferred language based on its Accept-Language HTTP header. The qualifier is recognized and languages without qualifier are rated highest. The qualifier will be decreased by 10% for partial matches (i.e. matching primary language).

## Parameters

supported

  Array containing the supported languages as values

result

  Will be filled with an array containing the negotiation results

## Return Values

Returns the negotiated language or the default language (i.e. first array entry) if none match.

## Examples

Example 1. Using http_negotiate_language()

`<?php $langs = array( 'en-US',// default 'fr', 'fr-FR', 'de', 'de-DE', 'de-AT', 'de-CH', ); include './langs/'. http_negotiate_language($langs, $result) .'.php'; print_r($result); ?>`

Prev | Home | Next
http_negotiate_ctype | Up | ob_deflatehandler